package com.ruoyi.bar.mapper;

import java.util.List;
import com.ruoyi.bar.domain.WyBarIcon;
import org.apache.ibatis.annotations.Param;

/**
 * 酒吧啤酒币余额Mapper接口
 * 
 * @author kxl
 * @date 2025-02-10
 */
public interface WyBarIconMapper 
{
    /**
     * 查询酒吧啤酒币余额
     * 
     * @param id 酒吧啤酒币余额主键
     * @return 酒吧啤酒币余额
     */
    public WyBarIcon selectWyBarIconById(Long id);

    public WyBarIcon selectWyBarIconByBreweryIdAndBarId(@Param("breweryId") Long breweryId,@Param("barId") Long barId);

    /**
     * 查询酒吧啤酒币余额列表
     * 
     * @param wyBarIcon 酒吧啤酒币余额
     * @return 酒吧啤酒币余额集合
     */
    public List<WyBarIcon> selectWyBarIconList(WyBarIcon wyBarIcon);

    /**
     * 新增酒吧啤酒币余额
     * 
     * @param wyBarIcon 酒吧啤酒币余额
     * @return 结果
     */
    public int insertWyBarIcon(WyBarIcon wyBarIcon);

    /**
     * 修改酒吧啤酒币余额
     * 
     * @param wyBarIcon 酒吧啤酒币余额
     * @return 结果
     */
    public int updateWyBarIcon(WyBarIcon wyBarIcon);

    /**
     * 删除酒吧啤酒币余额
     * 
     * @param id 酒吧啤酒币余额主键
     * @return 结果
     */
    public int deleteWyBarIconById(Long id);

    /**
     * 批量删除酒吧啤酒币余额
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBarIconByIds(Long[] ids);
}
